﻿Imports System
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Media

Class CodeOnly
    Inherits Application

    ' WPF apps should execute on a STA thread
    <STAThread>
    Shared Sub Main(args As String())
        Dim app = New CodeOnly()
        app.Run()
    End Sub

    Protected Overrides Sub OnStartup(e As StartupEventArgs)

        MyBase.OnStartup(e)
        Dim window = New Window()
        window.Title = "CodeOnly Equivalent"
        window.Height = 350
        window.Width = 525

        Dim dockPanel = New DockPanel()
        dockPanel.LastChildFill = True

        Dim topElement = New Label()
        topElement.Content = "Top"
        DockPanel.SetDock(topElement, Dock.Top)
        topElement.Foreground =
            New SolidColorBrush(Colors.Green)
        topElement.Background =
            New SolidColorBrush(Colors.Bisque)
        topElement.Height = 100
        topElement.HorizontalContentAlignment =
            HorizontalAlignment.Center

        Dim leftElement = New Label()
        leftElement.Content = "Left"
        leftElement.Foreground =
            New SolidColorBrush(Colors.Red)
        leftElement.Background =
            New SolidColorBrush(Colors.Beige)
        leftElement.Width = 50
        leftElement.VerticalContentAlignment =
            VerticalAlignment.Center
        DockPanel.SetDock(leftElement, Dock.Left)

        Dim rightElement = New TextBox()
        rightElement.Text = "Right"
        rightElement.Foreground =
            New SolidColorBrush(Colors.Blue)
        rightElement.Background =
            New SolidColorBrush(Colors.AliceBlue)
        DockPanel.SetDock(rightElement, Dock.Right)

        dockPanel.Children.Add(topElement)
        dockPanel.Children.Add(leftElement)
        dockPanel.Children.Add(rightElement)

        window.Content = dockPanel
        window.Show()
    End Sub

End Class

